--筛选Item
Lua_ScreenSelectItem = class("Lua_ScreenSelectItem", Lua_DisplayObject);
function Lua_ScreenSelectItem:ctor(p)
    self:superCall("ctor", p,"SingleTeamPanel_skin");
end

function Lua_ScreenSelectItem:buildShowItem()
    self:superCall("buildShowItem");

 	self.maskBtn:addClickFuntion(self, self.onMaskBtnClick);
    self.screenBtn:addClickFuntion(self, self.onScreenBtnClick);--筛选

    self:addLuaEvent("ON_SCREEN_SELECT_CELL", self, self.updateScreenSelect);--选中
end

function Lua_ScreenSelectItem:dispose()
    if self.dragList ~= nil then
        self.dragList:dispose();
        self.dragList = nil;
    end
    self.owner = nil;
    self.callBack = nil;
    self:superCall("dispose");
end

function Lua_ScreenSelectItem:setData(data)
	-- data.index;默认选择的索引
	-- data.showList;展示数据{showDes,index,isUnlock}
	if data == nil then
		return;
	end
	self.selectIndex = data.index;
	self.showList = data.showList;
	self:updateShowDes(data.index);
end

function Lua_ScreenSelectItem:updateScreenSelect(index) 
    if self.selectIndex == index then
    	return;
    end
    self.selectIndex = index;
    self:sendOwner(index);
	self:updateShowDes(index);
end

function Lua_ScreenSelectItem:updateShowDes(index)
	local des = self.showList[index].showDes;
    self.showDes.text = des;
end

--时间回调
function Lua_ScreenSelectItem:sendOwner(index)
	if self.owner ~= nil and self.callBack ~= nil then
		self.callBack(self.owner, index);
	end
end

function Lua_ButtonList:setClickCallBack(owner, callBack)
	self.owner = owner;
	self.callBack = callBack;
end

--筛选
function Lua_ScreenSelectItem:onScreenBtnClick()
	self.showObj:SetActive(true);
	if self.dragList == nil then
		self.dragList = Lua_DragList.new(self.showObj,640, 308, Lua_AxisDefine.Horizontal);
	    self.dragList:setListCell(Lua_ScreenSelectCell, 112, 112, 1);
	    self.dragList:setCellSpacing(20, 14);
	    self.dragList:setLocation(0, -268);
	end
	
end

--遮罩
function Lua_ScreenSelectItem:onMaskBtnClick()
	self.showObj:SetActive(false);
	self:sendOwner(self.selectIndex);
end























--队伍信息
Lua_ScreenSelectCell = class("Lua_ScreenSelectCell", Lua_ListCell);
function Lua_ScreenSelectCell:ctor(p)
    self:superCall("ctor", p,"SaloonCell_skin");
end

function Lua_ScreenSelectCell:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ScreenSelectCell:setData(data)
    if data == nil then
        return;
    end
    self.data = data;
    self.des = data.showDes;
    if data.isUnlock == nil or data.isUnlock == false then
    	self.lock:setEnable(false);
    else
    	self.lock:setEnable(true);
    end
end

function Lua_ScreenSelectCell:onPressClick()
	if self.data == nil then
		return;
	end
	if self.data.isUnlock == false then
		return true;
	end
	Lua_MsgUtil.callFunc("ON_SCREEN_SELECT_CELL", self.data.index);
	return true;
end

function Lua_ScreenSelectCell:onSelectionChange(bSelect)
    self:superCall("onSelectionChange", bSelect);
    if bSelect == true then
        self.select:setEnable(true);
    else
        self.select:setEnable(false);
    end
end

function Lua_ScreenSelectCell:dispose()
    self.data = nil;
    self:superCall("dispose");
end



